Subject: Re: [PATCH 2/4] refs: mostly remove core.preferSymlinkRefs

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Sep 2024 13:13:22 -0700

Jeff King <[email-masked]> writes:

> I noticed these because I had a similar proposal long ago, which never
> got merged (I don't think because anybody particularly disagreed, but it
> fell through the cracks and never got picked up again):
>
>   https://lore.kernel.org/git/[email-masked]/
>
> What you have here is (modulo the two hunks above) more complete than
> what I have, so I don't think there's anything else to try to salvage
> from it. A little bit of the history in the linked commit message is
> interesting as to how we ended up here, but ultimately not really that
> important.

It was useful to find out another reason (which I failed to mention
in this series) why symbolic links will be misleading: when it points
at a ref that is in packed-refs.

Thanks.